GNU bug report logs - #52907
28.0.90; M-X is broken if (current-local-map)=nil

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Daniel Mendler <mail@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 52907 <at> debbugs.gnu.org and Daniel Mendler <mail@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52907 <at> debbugs.gnu.org:


Received: (at 52907) by debbugs.gnu.org; 20 Jan 2022 10:01:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 05:01:26 2022
Received: from localhost ([127.0.0.1]:56409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAUFy-0004So-N5
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 05:01:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nAUFx-0004Lw-EB
 for 52907 <at> debbugs.gnu.org; Thu, 20 Jan 2022 05:01:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4G3SkJaKgN5vTiQHJpBC45qn/lVjqY2MP8/6YeH0PB4=; b=egJIz9NT0X+no66vYCoaQhnaa/
 SAFNCFjCwucC27y8VSA1CbMuI5JkQsiQWXVhIs/W1jD6C5vyoIUAUA+jX/9F6jH6A09nMr7XZ/hE1
 iUcpceA+4tHLBAmuRF/GE8wTbIXUZ05YraeGlMd7JQZAIRs3EBe/9aXvpdG5NceA4BKA=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nAUFn-0004Bj-SW; Thu, 20 Jan 2022 11:01:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#52907: 28.0.90; M-X is broken if (current-local-map)=nil
References: <7b2aa1a9-1e75-c586-3987-fd066765da9e@HIDDEN>
 <87lezhxrbk.fsf@HIDDEN> <87tue46618.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEVgXV2gnZ3S0ND7
 +/u7ZUcZFxj///8mNaidAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YBFAkeAUJFj4EAAAGzSURBVDjL
 ddNLkuMgDAZgQYo9wsPewHhvo5oD9FRmj1Oj+1+lBfiVTsImLr6gH4QNCgBTjNQHAgRoT3Bv49ff
 DqO2o9IUMFX4ir+/OixWW6VulGMEBY6OsaAD6BP7bx9Zx9UrlKcACl06xWVtQRPNDAjq2JPUShbM
 QORZSikx3FbNQyhlTGQqGGZWqq+KLpu1pIUZLMg8l4h1DxmBTNESIRm+AuvcxbqakU0BtA14oCaj
 BRj6rpB3CTKzABQiCREwHUqqEgQGSpkhxmlbokQiKrO6TAIpLxuwZFgL0twUpFQm2mpxcZSVkg3c
 vBxQDvaHz2JZNmDTxAWkF3kHtqm1GLxvpc4lXDtOgwPJaN3bU2oM0QM1bXBsjMtNLmUcAvdXgvwp
 GF2o97HdKV/Gg5LZgcITyMF3oPEELZnrAWdMQYHHCYcIzKwvsEkRGFe8wn5OSFOxT1DPKQh6Xp+B
 Yi+mpst2tzWtWuEfGbUFVYqR+/gBRz9fYG/BK9BHwPbWvgEiedPgLZgPkD9k0FI+wPwC+dL+dysM
 /7//g3cR5l5hlA/oOWL1DTzltd1FXPofpmLkG/8GlCrpGDPPkmsAAAAldEVYdGRhdGU6Y3JlYXRl
 ADIwMjItMDEtMjBUMDk6MzA6MDArMDA6MDA/ZdMEAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTAx
 LTIwVDA5OjMwOjAwKzAwOjAwTjhruAAAAABJRU5ErkJggg==
X-Now-Playing: Led Zeppelin's _Led Zeppelin_: "I Can't Quit You Baby"
Date: Thu, 20 Jan 2022 11:01:14 +0100
In-Reply-To: <87tue46618.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 15
 Jan 2022 22:30:27 +0100")
Message-ID: <87y23a3evp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Lars, 
 be sure to follow the recipe with all details right - no M-x > instead of
 M-X, not "bro" instead of "brok" etc - then the recipe > "works" for me (and
 the analysis given by the OP makes sense [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52907
Cc: Daniel Mendler <mail@HIDDEN>, 52907 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Lars, be sure to follow the recipe with all details right - no M-x
> instead of M-X, not "bro" instead of "brok" etc - then the recipe
> "works" for me (and the analysis given by the OP makes sense to me).

Ah, I think I didn't type "brok" exactly.  I can reproduce the problem
now, and have fixed it in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52907; Package emacs. Full text available.

Message received at 52907 <at> debbugs.gnu.org:


Received: (at 52907) by debbugs.gnu.org; 15 Jan 2022 21:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 16:30:56 2022
Received: from localhost ([127.0.0.1]:42069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8qdU-0004wj-Dn
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:30:56 -0500
Received: from mout.web.de ([217.72.192.78]:50759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1n8qdQ-0004wR-Jz
 for 52907 <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:30:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1642282228;
 bh=pYasAGzN+6d4IGu59HAvrq2NjNJy8jmLeuQ+1QbbqV0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=JO3vnfg+8r7r2ClA82I333CYZ1Nuqg9j5FUc7DdfnX2jJZkBApU8fFjuIWKrWlRUa
 NB+LeHcuNRv+L3R9u55mvBik9c+r3pxbEkwUBmWOLmtCSX+TiPoFu8xaCxOrtve8G2
 W9NVmAEhVYLMm4WoOBs+aQVUyyyMPB4Q3JvZqmog=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([88.66.201.186]) by smtp.web.de (mrweb105
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MgRQD-1mgdPn386Z-00harP; Sat, 15
 Jan 2022 22:30:28 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52907: 28.0.90; M-X is broken if (current-local-map)=nil
References: <7b2aa1a9-1e75-c586-3987-fd066765da9e@HIDDEN>
 <87lezhxrbk.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 22:30:27 +0100
In-Reply-To: <87lezhxrbk.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 15 Jan 2022 10:48:31 +0100")
Message-ID: <87tue46618.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:DdL40Cwc7CDPPzeTzwdchk6Jy5R2oBdcHnhA4Amr0PgwjTv5sGP
 nCojisY3qtGNvWx9YQbk3mEHqpXwRsc/ybrvfOtjMFWvLec2VNp72poQBMjCw6JGj20lIY6
 MmqneL0PnrHIxNhVymBuRiRB94w4fypX1SayBy0J6LE6LH/F1Lynim3JKNUDx4yZfcq7kah
 +68Dyld/IcrUL2Ne3RABg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2sK4Oe2ajZk=:TZLVNXVkc5vUXSiXqaMwaj
 DIPk18SPeESDi+Y3pu8ASyNkaHBskZtmtzxBQQUTn7MYD3AgEHcIFOk+7iHZ2AtOW9XIEnx8h
 c4NKoiaehAq8hsyLT36RR0O9cKuIoSsOzDy0A3hroTa4bOSPgCeYZSDSWAjtZG2PrQ90LzH87
 NLc1+oS+S/t2ruike2yJZTPnyhRf9D3xzdcKXI+KE8OibNZGZWxlwdRWt+u9Te6WXG95Uo3O6
 UIgG0qgkVRzmOWHWSYwahLmblednrziZk/Oxnt3u3qgIZ7IpADS6AHopsAUMylHJL11wcV43f
 WZpVswT7ALMekKqYRCskKKQmmQXJ47kCD6mqTyxov57w6ttgPwv63x78BO2ghTMv28rPLPxlm
 y3y+TWA27GTySrQf64MtEFt5A0sCUV53TN1KEd+3r4pqfpHR3quusrnVBRLz1Hp5/MqEDj80l
 B3plE+fw+rNePSd1uvK10lrqKX82qyL7LFHvaNt2ubC+kodt3VIhq+RhbYG0agXQJ58VbLrRe
 v1OpUYGeo3w4FycViYRxhM9uFlJroZqOCAn78/nyX2zmheEEbQKNHfhMpJ7iNotofwGd4yF7V
 nVvuecCHBPrn6bfkW1ESLU3O3yBr5pNErWbBSTiL5GJRZT1TCJgjhJ5xZQ2B49UqWWUu9horJ
 1REapAwc5hGz/O8u7JDUAXak2VmF51nAsOaFCCqyJc+FTdm2rPfpM0NVRHJTkRy/LO3+MA+N2
 lJMSYe7o3zDUxBneh7538jCqE1saYh5/fTtDbYIncCUuR9s2TLInHcVfUhACUezyt4PN5fZIt
 0yPeMji8fppyFBpoxBJHRLdV4zOPn+EErjFZ4wUBS2tTm9uLBkvQ0HwURy2kmEWLvLudzy6P8
 7vd/EBJcfGHJgr6Duc2vYJ4sm5Y/FobRRZ+1/AVOcbcDFAI/tQXNCdd8AR2Ac77eLFUIqHVNW
 CYuArLq6Ko0eeCGv2rceWhkoSFhT3iil4qyGklc7Of6HhNBQfokG5SoInP733eo5rPOReE5tf
 PX/VZZUzUBkVE2oiaZpzf8IHiMRgI+pzhvbeGqos0FCyc1t+if+Tn/lExue978HmLHEQ0BeIO
 PgmJ3B3gF2K62A=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52907
Cc: Daniel Mendler <mail@HIDDEN>, 52907 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Daniel Mendler <mail@HIDDEN> writes:
>
> > 1. Start emacs -Q
> >
> > 2. Define in the scratch buffer
> >    (defun broken-command ()
> >      (interactive fundamental-mode))
> >
> > 3. Switch to fundamental mode
> >    (fundamental-mode)
> >
> > 4. M-X brok TAB ===> Error (see below)
> >
> > The problem is that the (current-local-map) is nil. This breaks
> > the predicate of execute-extended-command-for-buffer.
>
> I'm unable to reproduce this problem in either Emacs 28 or 29.  Are
> there additional steps needed to reproduce the bug (or has this been
> fixed since this was reported)?

I can reproduce with a master built from today.

I need to enable `debug-on-error', otherwise I only see a minibuffer
message indicating the error, the minibuffer survives.

Lars, be sure to follow the recipe with all details right - no M-x
instead of M-X, not "bro" instead of "brok" etc - then the recipe
"works" for me (and the analysis given by the OP makes sense to me).

HTH,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52907; Package emacs. Full text available.

Message received at 52907 <at> debbugs.gnu.org:


Received: (at 52907) by debbugs.gnu.org; 15 Jan 2022 14:30:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 09:30:05 2022
Received: from localhost ([127.0.0.1]:39579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8k4C-0002tw-MZ
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 09:30:05 -0500
Received: from server.qxqx.de ([178.63.65.180]:51411 helo=mail.qxqx.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1n8k4A-0002t9-1W
 for 52907 <at> debbugs.gnu.org; Sat, 15 Jan 2022 09:30:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:In-Reply-To:From:
 References:Cc:To:Subject:MIME-Version:Date:Message-ID:Sender:Reply-To:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CL6dTLz3+dQZF7fsartywybCm9qDkE7oxPsedE79PRI=; b=qMw5qDJjBVxS7xDO2mE++GpSmm
 oX2izMvCu/e5R3QK6NHxr3s9/azKR0K/KMGtD/NeT1FWF5urDdkUTCZNQjead6mrAkqHw03bN33+k
 LJdU8q89AhRXDDV1NchikFySjGvK7lA9ADWVo7kEw0BpHodyNbHM7HHQ3sJUTw3oXsJY=;
Message-ID: <2105359a-f57f-5c9f-d06a-1f263f125f2b@HIDDEN>
Date: Sat, 15 Jan 2022 15:29:54 +0100
MIME-Version: 1.0
Subject: Re: bug#52907: 28.0.90; M-X is broken if (current-local-map)=nil
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <7b2aa1a9-1e75-c586-3987-fd066765da9e@HIDDEN>
 <87lezhxrbk.fsf@HIDDEN>
From: Daniel Mendler <mail@HIDDEN>
In-Reply-To: <87lezhxrbk.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52907
Cc: 52907 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 1/15/22 10:48, Lars Ingebrigtsen wrote:
>> 1. Start emacs -Q
>>
>> 2. Define in the scratch buffer
>>    (defun broken-command ()
>>      (interactive fundamental-mode))
>>
>> 3. Switch to fundamental mode
>>    (fundamental-mode)
>>
>> 4. M-X brok TAB ===> Error (see below)
>>
>> The problem is that the (current-local-map) is nil. This breaks
>> the predicate of execute-extended-command-for-buffer.

There are no additional steps. I can still reproduce this in Emacs 28.
The problematic definition is:

          (keymaps
           ;; The major mode's keymap and any active minor modes.
           (cons
            (current-local-map) ;; can be nil!
            (mapcar
             #'cdr
             (seq-filter
              (lambda (elem)
                (symbol-value (car elem)))
              minor-mode-map-alist))))

The map is nil, when I evaluate in the scratch buffer:

1. (fundamental-mode)
2. (current-local-map) -> returns nil

I haven't tried 29 yet, but the problematic definition is still present
there. However maybe where-is-internal has been changed to accept nil
keymaps?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52907; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52907 <at> debbugs.gnu.org:


Received: (at 52907) by debbugs.gnu.org; 15 Jan 2022 09:48:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 04:48:42 2022
Received: from localhost ([127.0.0.1]:39045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8ffu-0002Ec-Dc
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:48:42 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8ffs-0002EM-PF
 for 52907 <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:48:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eNjw0BMn9708uhyNkUAcbCKluTCvki2jieap32GVuA8=; b=rzHkzTfkx1xDzqAbJZJIHyXXIm
 2tHWO5K/rPTg2dPdk2WaJV96CIeKf5nnnVGdt72syKlqKWtMFNfGVtTbwYt67rVDXidhW5mtfl7rw
 yE6kVqFtawuxsTKZ1GOlvqe3IBcbPn1KhIWNdQVkv9zb4q6AGWbGVY9oN9boeLZpmemw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8ffk-0003Fa-1U; Sat, 15 Jan 2022 10:48:34 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel Mendler <mail@HIDDEN>
Subject: Re: bug#52907: 28.0.90; M-X is broken if (current-local-map)=nil
References: <7b2aa1a9-1e75-c586-3987-fd066765da9e@HIDDEN>
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (4)_: "I Had A King"
Date: Sat, 15 Jan 2022 10:48:31 +0100
In-Reply-To: <7b2aa1a9-1e75-c586-3987-fd066765da9e@HIDDEN> (Daniel
 Mendler's message of "Fri, 31 Dec 2021 00:29:49 +0100")
Message-ID: <87lezhxrbk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Daniel Mendler <mail@HIDDEN> writes: > 1. Start
 emacs -Q > > 2. Define in the scratch buffer > (defun broken-command () >
 (interactive fundamental-mode)) > > 3. Switch to fundamental mode >
 (fundamental-mode) > > 4. M-X brok TAB ===> Err [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52907
Cc: 52907 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Daniel Mendler <mail@HIDDEN> writes:

> 1. Start emacs -Q
>
> 2. Define in the scratch buffer
>    (defun broken-command ()
>      (interactive fundamental-mode))
>
> 3. Switch to fundamental mode
>    (fundamental-mode)
>
> 4. M-X brok TAB ===> Error (see below)
>
> The problem is that the (current-local-map) is nil. This breaks
> the predicate of execute-extended-command-for-buffer.

I'm unable to reproduce this problem in either Emacs 28 or 29.  Are
there additional steps needed to reproduce the bug (or has this been
fixed since this was reported)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52907; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2021 23:30:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 30 18:30:19 2021
Received: from localhost ([127.0.0.1]:54775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n34sE-0000rA-Uf
	for submit <at> debbugs.gnu.org; Thu, 30 Dec 2021 18:30:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:44788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1n34sC-0000r2-Lv
 for submit <at> debbugs.gnu.org; Thu, 30 Dec 2021 18:30:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55520)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1n34sC-00088S-5B
 for bug-gnu-emacs@HIDDEN; Thu, 30 Dec 2021 18:30:16 -0500
Received: from [2a01:4f8:121:346::180] (port=57155 helo=mail.qxqx.de)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>)
 id 1n34s8-00049n-5L
 for bug-gnu-emacs@HIDDEN; Thu, 30 Dec 2021 18:30:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=qxqx.de;
 s=mail1392553390; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Date:
 Message-ID:Subject:From:To:Sender:Reply-To:Cc:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=B3CjC4D1FNYajT08hurVaVpfZyzNHxkewTZoAP56oQ4=; b=MgCW7YjrBzxBTSkwKgP6tuBM9s
 oninXA6TM6kgmUilZnkIu0Wmu/ZFdIDmjlvDvFjeRREboJ1D7NjWgeA/btLW2f3kXcgNtMUnI01n+
 kPdrXBRMtCUauQ3hLK4vF1ZI0tUaObge2AaRa94LvRFuqrtoZ+bbEYcW9itqXsRRspdA=;
To: bug-gnu-emacs@HIDDEN
From: Daniel Mendler <mail@HIDDEN>
Subject: 28.0.90; M-X is broken if (current-local-map)=nil
Message-ID: <7b2aa1a9-1e75-c586-3987-fd066765da9e@HIDDEN>
Date: Fri, 31 Dec 2021 00:29:49 +0100
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a01:4f8:121:346::180
 (failed)
Received-SPF: pass client-ip=2a01:4f8:121:346::180;
 envelope-from=mail@HIDDEN; helo=mail.qxqx.de
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RDNS_NONE=0.793, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

1. Start emacs -Q

2. Define in the scratch buffer
   (defun broken-command ()
     (interactive fundamental-mode))

3. Switch to fundamental mode
   (fundamental-mode)

4. M-X brok TAB ===> Error (see below)

The problem is that the (current-local-map) is nil. This breaks
the predicate of execute-extended-command-for-buffer.

Debugger entered--Lisp error: (wrong-type-argument keymapp (nil))
  where-is-internal(pr-ps-file-preview (nil))
  #f(compiled-function (symbol buffer) #<bytecode
-0xfe888ceef865b96>)(pr-ps-file-preview #<buffer *scratch*>)
  #f(compiled-function (sym) #<bytecode
-0xe7f2f8368079eff>)(pr-ps-file-preview)
  #f(compiled-function (sym) #<bytecode
0x1b9587ed05cbdcf8>)(pr-ps-file-preview)
  try-completion("" ...)
  funcall-interactively(minibuffer-complete)
  command-execute(minibuffer-complete)
  completing-read-default("M-X " #<subr
F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_49>
#f(compiled-function (sym) #<bytecode -0xe7f2f8368079eff>) t nil
extended-command-history nil nil)
  read-extended-command()
  byte-code("\304\30\305 \306\307\310\311\11\"\"B\312\313\2\"\32\13\314
\10E*\207" [execute-extended-command--last-typed minor-mode-map-alist
read-extended-command-predicate current-prefix-arg nil current-local-map
mapcar cdr seq-filter #f(compiled-function (elem) #<bytecode
0x11708780893b0c99>) make-closure #f(compiled-function (symbol buffer)
#<bytecode -0x7e5012e94bc5b96>) read-extended-command] 6)
  command-execute(execute-extended-command-for-buffer)


In GNU Emacs 28.0.90 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5,
cairo version 1.16.0)
 of 2021-12-23 built on projects
Repository revision: 1e578267fb19208504d28253e0c892ceb9a34fb4
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --prefix=/home/user/emacs/install --with-cairo --with-json
 --with-native-compilation --with-xwidgets'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBSELINUX LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG
RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM
XWIDGETS GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs auth-source eieio eieio-core eieio-loaddefs
password-cache json map text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail comp comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra
help-mode cl-loaddefs cl-lib rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils seq byte-opt gv bytecomp byte-compile cconv
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads
xwidget-internal dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 86561 9432)
 (symbols 48 7859 1)
 (strings 32 21679 3028)
 (string-bytes 1 755602)
 (vectors 16 16666)
 (vector-slots 8 312728 15391)
 (floats 8 28 33)
 (intervals 56 242 0)
 (buffers 992 12))




Acknowledgement sent to Daniel Mendler <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52907; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Jan 2022 10:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.